libsimple-validation-java_0.9-2_all.deb


Advertisement

Description

libsimple-validation-java - library for quickly adding validation code to Swing user-interfaces

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libsimple-validation-java_0.9-2_all.deb
Package name libsimple-validation-java
Package version 0.9
Package release 2
Package architecture all
Package type deb
Category java
Homepage http://kenai.com/projects/simplevalidation/pages/Home
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 136.92 KB
Installed size 195.00 KB
This is a simple library for retrofitting user-interface input
validation to Swing applications. It handles validating user input
when the user changes a component's value, showing error messages and
decorating components to indicate which component is the source of
the problem. It contains a large number of built-in validators to
handle most common situations, such as validating numbers, email
addresses, urls and so forth.

Alternatives

Package Version Architecture Repository
libsimple-validation-java_0.9-2_all.deb 0.9 all Debian Main
libsimple-validation-java - - -

Requires

Name Value
libnb-org-openide-util-java -
libnb-org-openide-util-lookup-java -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libsimple-validation-java_0.9-2_all.deb
Source Package libsimple-validation-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsimple-validation-java deb package:
    # sudo apt-get install libsimple-validation-java

Files

Path
/usr/share/doc/libsimple-validation-java/changelog.Debian.gz
/usr/share/doc/libsimple-validation-java/copyright
/usr/share/java/simple-validation-0.9.jar
/usr/share/java/simple-validation.jar
/usr/share/maven-repo/org/netbeans/simple-validation/0.9/simple-validation-0.9.jar
/usr/share/maven-repo/org/netbeans/simple-validation/0.9/simple-validation-0.9.pom
/usr/share/maven-repo/org/netbeans/simple-validation/debian/simple-validation-debian.jar
/usr/share/maven-repo/org/netbeans/simple-validation/debian/simple-validation-debian.pom

Changelog

2015-12-30 - Markus Koschany <apo@debian.org>
libsimple-validation-java (0.9-2) unstable; urgency=medium
* Team upload.
* Add org-openide-util-ui.jar to CLASSPATH and fix a FTBFS with
libnb-platform18-java >= 8.1.
* Tighten build-dependencies on libnb-org-openide-* packages to >= 8.1.
* wrap-and-sort -sa.
* Declare compliance with Debian Policy 3.9.6.
* Vcs-Browser: Use https.
* debian/control: Use Build-Depends field from now on since we only build
arch:all packages.
* Use compat level 9 and require debhelper >= 9.
* Remove empty debian/patches directory.
2013-10-22 - Andrew Ross <ubuntu@rossfamily.co.uk>
libsimple-validation-java (0.9-1) unstable; urgency=low
* New upstream version.
* Add me to uploaders.
* Build with javahelper.
* Bump standards version to 3.9.4.
* Install maven pom.
* Update d/copyright.
* Remove patch as it is no longer required.
2012-02-19 - Damien Raude-Morvan <drazzib@debian.org>
libsimple-validation-java (0.4-3) unstable; urgency=low
* Team upload.
* Use javahelper to add Class-Path variable and install JAR.
Classpath now contains org-openide-util-* JARs which are used by
simple-validation (this should prevent a crash in Jajuk).
2011-09-11 - Torsten Werner <twerner@debian.org>
libsimple-validation-java (0.4-2) unstable; urgency=low
* Team upload.
* Remove Java runtime from Depends.
* Update Standards-Version: 3.9.2.
2010-02-17 - Varun Hiremath <varun@debian.org>
libsimple-validation-java (0.4-1) unstable; urgency=low
* Initial release (Closes: #570322)

See Also

Package Description
libsimpleini-dev_4.17+dfsg-5+b1_i386.deb C++ library for INI-style configuration files (development files)
libsimpleini1_4.17+dfsg-5+b1_i386.deb C++ library for INI-style configuration files
libsimpleitk1-dev_1.0.1-3_i386.deb development files for SimpleITK
libsimpleitk1.0_1.0.1-3_i386.deb cross-platform image analysis toolkit
libsingular4-dev-common_4.1.1-p2+ds-3_all.deb Computer Algebra System for Polynomial Computations -- common dev package
libsingular4-dev_4.1.1-p2+ds-3_i386.deb Computer Algebra System for Polynomial Computations -- development package
libsingular4m1_4.1.1-p2+ds-3_i386.deb Computer Algebra System for Polynomial Computations -- library package
libsip-api-java_1.2-1_all.deb SIP API for Java
libsipxtapi-dev_3.3.0~test17-3_i386.deb SIP stack, RTP media framework and codecs (headers)
libsipxtapi-doc_3.3.0~test17-3_all.deb SIP stack, RTP media framework and codecs (API documentation)
libsipxtapi_3.3.0~test17-3_i386.deb SIP stack, RTP media framework and codecs
libsis-base-java_18.09~pre1+git20180827.fe4953e+dfsg-1_all.deb Base libraries used by software from the SIS division at ETH Zurich
libsis-base-jni_18.09~pre1+git20180827.fe4953e+dfsg-1_i386.deb Base libraries used by ETH-SIS (JNI components)
libsiscone-dev_2.0.6-2_i386.deb Seedless Infrared Safe Cone jet finder - development files
libsiscone-spherical-dev_2.0.6-2_i386.deb Spherical version of SISCone - development files
Advertisement
Advertisement